import java.io.*;
public class ReaderInput{
  private  String s="";
  public ReaderInput() {
    try
    {
      BufferedReader in= new BufferedReader(new InputStreamReader(System.in));
      s=in.readLine();
    }catch(IOException e){}
  }
  public double readDouble()

      {

      if (s != null)

      return Double.parseDouble(s);

       else

      return 0.0;

      }

}
